NormValueSource (Lucene 10.5.0 queries API)
Description: declaration: package: org.apache.lucene.queries.function.valuesource, class: NormValueSource

Package org.apache.lucene.queries.function.valuesource

# Class NormValueSource

java.lang.Object
org.apache.lucene.queries.function.ValueSource
org.apache.lucene.queries.function.valuesource.NormValueSource

public class NormValueSource extends ValueSource
Function that returns the decoded norm for every document.

Note that the configured Similarity for the field must be a subclass of `TFIDFSimilarity` and the contribution of the TF needs to be 1 when the freq is 1 and the contribution of the IDF needs to be 1 when docFreq == docCount == 1.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `field`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NormValueSource(String field)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createWeight(Map<Object,Object> context, IndexSearcher searcher)`
  Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context.
  `String`
  `description()`
  description of field, used in explain()
  `boolean`
  `equals(Object o)`
  `FunctionValues`
  `getValues(Map<Object,Object> context, LeafReaderContext readerContext)`
  Gets the values for this reader and the context that was previously passed to createWeight().
  `int`
  `hashCode()`
  `String`
  `name()`

  ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

  `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### field

    protected final String field

- ## Constructor Details

  - ### NormValueSource

    public NormValueSource(String field)

- ## Method Details

  - ### name

    public String name()

  - ### description

    public String description()
    Description copied from class: `ValueSource`
    description of field, used in explain()
    Specified by:
      `description` in class `ValueSource`

  - ### createWeight

    public void createWeight(Map<Object,Object> context, IndexSearcher searcher) throws IOException
    Description copied from class: `ValueSource`
    Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context. The context object will be passed to getValues() where this info can be retrieved.
    Overrides:
      `createWeight` in class `ValueSource`
    Throws:
      `IOException`

  - ### getValues

    public FunctionValues getValues(Map<Object,Object> context, LeafReaderContext readerContext) throws IOException
    Description copied from class: `ValueSource`
    Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.
    Specified by:
      `getValues` in class `ValueSource`
    Throws:
      `IOException`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `ValueSource`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `ValueSource`